%global cinnamon_desktop_version 6.0.0

Name:		cinnamon-settings-daemon
Version:	6.0.0
Release:	%mkrel 1
Summary:	The daemon sharing settings from CINNAMON to GTK+/KDE applications
Group:		Graphical desktop/Cinnamon
License:	GPLv2+ and LGPLv2+
URL:		http://cinnamon.linuxmint.com
Source0:	https://github.com/linuxmint/cinnamon-settings-daemon/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

# add hard cinnamon-desktop required version due logind schema
Requires:	cinnamon-desktop >= %{cinnamon_desktop_version}
Obsoletes:	cinnamon-settings-daemon-updates
Requires:	cinnamon-translations >= 4.8.0

BuildRequires:	pkgconfig(cvc) >= 2.8.0
BuildRequires:	pkgconfig(cinnamon-desktop) >= %{cinnamon_desktop_version}
BuildRequires:	pkgconfig(colord) >= 0.1.9
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.18
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(kbproto)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.1
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.1
BuildRequires:	pkgconfig(libnotify) >= 0.7.3
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(nss) >= 3.11.2
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(upower-glib) >= 0.99.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	cups-devel
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(xorg-wacom)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(xtst)
BuildRequires:  meson

%description
A daemon to share settings from CINNAMON to other applications. It also
handles global keybindings, and many of desktop-wide settings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dbus-glib-devel

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.
 

%prep
%setup -q -n cinnamon-settings-daemon-%{version}
%autopatch -p1

%build
%meson
%meson_build


%install
%meson_install

desktop-file-install --delete-original \
  --dir %{buildroot}%{_sysconfdir}/xdg/autostart/  \
  %{buildroot}%{_sysconfdir}/xdg/autostart/*

desktop-file-install --delete-original \
  --dir %{buildroot}%{_datadir}/applications/  \
  %{buildroot}%{_datadir}/applications/csd-automount.desktop

# Fix non-executable script
chmod a+x %{buildroot}%{_datadir}/cinnamon-settings-daemon-3.0/input-device-example.sh

# Delete csd symlinks
rm -rf %{buildroot}%{_libdir}/cinnamon-settings-daemon/

%files
%doc AUTHORS COPYING
%{_libdir}/cinnamon-settings-daemon-3.0/
%{_libexecdir}/csd-*
%{_datadir}/cinnamon-settings-daemon/
%{_datadir}/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
%{_datadir}/dbus-1/system-services/org.cinnamon.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/glib-2.0/schemas/org.cinnamon.settings-daemon*.xml
%{_datadir}/icons/hicolor/*/apps/csd-*.png
%{_datadir}/icons/hicolor/*/apps/csd-*.svg
%{_datadir}/polkit-1/actions/org.cinnamon.settings*.policy
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/applications/csd-automount.desktop
%{_bindir}/csd-*

%files devel
%{_includedir}/cinnamon-settings-daemon-3.0/
%{_libdir}/pkgconfig/cinnamon-settings-daemon.pc
%{_datadir}/cinnamon-settings-daemon-3.0/


%changelog
* Fri Dec 01 2023 joequant <joequant> 6.0.0-1.mga10
+ Revision: 2012378
- update to 6.0.0

* Sat Sep 02 2023 joequant <joequant> 5.8.1-1.mga10
+ Revision: 1983626
- update to 5.8.1

* Fri Jan 13 2023 joequant <joequant> 5.6.1-1.mga9
+ Revision: 1932754
- update to 5.6.1

* Sat Nov 19 2022 joequant <joequant> 5.6.0-1.mga9
+ Revision: 1908990
- update to 5.6.0

* Thu Sep 29 2022 tv <tv> 5.4.5-1.mga9
+ Revision: 1893264
- 5.4.5

* Sun Aug 07 2022 joequant <joequant> 5.4.4-1.mga9
+ Revision: 1875798
- update to 5.4.4

* Fri Jul 01 2022 joequant <joequant> 5.4.1-1.mga9
+ Revision: 1867033
- update to 5.4.1

* Sun Apr 03 2022 umeabot <umeabot> 5.2.0-4.mga9
+ Revision: 1841503
- Mageia 9 Mass Rebuild
+ joequant <joequant>
- update for new pulseaudio

* Mon Dec 13 2021 tv <tv> 5.2.0-2.mga9
+ Revision: 1761933
- Rebuild for new libwacom

* Sat Nov 27 2021 joequant <joequant> 5.2.0-1.mga9
+ Revision: 1759602
- update to 5.2.0

* Sun Jul 25 2021 joequant <joequant> 5.0.4-1.mga9
+ Revision: 1737652
- update to 5.0.4

* Wed Jun 02 2021 joequant <joequant> 5.0.0-1.mga9
+ Revision: 1729335
- remove dir
- update to 5.0.0

* Sun Mar 28 2021 tv <tv> 4.8.5-1.mga9
+ Revision: 1711269
- Fix filelist
+ ovitters <ovitters>
- new version 4.8.5

* Tue Dec 08 2020 joequant <joequant> 4.8.2-1.mga8
+ Revision: 1654540
- update to 4.8.2

* Mon Jun 29 2020 joequant <joequant> 4.6.4-1.mga8
+ Revision: 1600422
- update to 4.6.4

* Wed Jun 10 2020 joequant <joequant> 4.6.1-1.mga8
+ Revision: 1591574
- fix up configure build

* Sat May 16 2020 joequant <joequant> 4.6.0-1.mga8
+ Revision: 1584290
- fix up daemon configs
- fix up cinnamon-desktop build requires
- update to 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 4.4.0-2.mga8
+ Revision: 1539322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 07 2019 joequant <joequant> 4.4.0-1.mga8
+ Revision: 1464918
- upgrade to 4.4.0

* Thu Aug 22 2019 joequant <joequant> 4.2.2-1.mga8
+ Revision: 1431357
- update to 4.2.2

* Fri Jul 05 2019 joequant <joequant> 4.2.0-1.mga8
+ Revision: 1418836
- update to 4.2

* Wed Apr 17 2019 joequant <joequant> 4.0.3-1.mga7
+ Revision: 1392744
- update to 4.0.3

* Tue Nov 27 2018 joequant <joequant> 4.0.2-1.mga7
+ Revision: 1335772
- update to 4.0.2

* Sun Nov 04 2018 joequant <joequant> 4.0.0-1.mga7
+ Revision: 1328379
- upgrade to 4.0.0

* Mon Oct 01 2018 joequant <joequant> 3.8.6-1.mga7
+ Revision: 1313767
- update to 3.8.6

* Sun Sep 23 2018 daviddavid <daviddavid> 3.8.4-2.mga7
+ Revision: 1297196
- add upstream patch to fix build with glib >= 2.57
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 joequant <joequant> 3.8.4-1.mga7
+ Revision: 1241192
- upgrade to 3.8.4

* Sat Apr 28 2018 joequant <joequant> 3.8.0-1.mga7
+ Revision: 1223162
- upgrade to 3.8.0

* Sat Mar 17 2018 joequant <joequant> 3.6.1-1.mga7
+ Revision: 1210166
- update to 3.6.1

* Wed Nov 01 2017 joequant <joequant> 3.6.0-1.mga7
+ Revision: 1175378
- upgrade to 3.6.0

* Sat Sep 02 2017 joequant <joequant> 3.4.4-1.mga7
+ Revision: 1150631
- update to 3.4.4

* Tue Jan 24 2017 joequant <joequant> 3.2.1-1.mga6
+ Revision: 1083270
- upgrade to 3.2.1

* Tue Jun 07 2016 tv <tv> 3.0.1-3.mga6
+ Revision: 1020652
- adjust BRs for latest systemd

* Mon May 23 2016 joequant <joequant> 3.0.1-2.mga6
+ Revision: 1017875
- bump for arm

* Sun May 22 2016 joequant <joequant> 3.0.1-1.mga6
+ Revision: 1017494
- upgrade to 3.0.1

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008857
- upgrade to 3.0.0
- upgrade to 3.0.0

* Sat Mar 26 2016 joequant <joequant> 2.8.4-1.mga6
+ Revision: 995544
- upgrade to 2.8.4 - fix upower 0.99.4 power applet break
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 joequant <joequant> 2.8.1-1.mga6
+ Revision: 904213
- update to 2.8.1

* Wed Oct 21 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 893712
- upgrade to 2.8.0

* Tue Jun 30 2015 joequant <joequant> 2.6.3-1.mga6
+ Revision: 848332
- upgrade to 2.6.3

* Fri Jun 26 2015 joequant <joequant> 2.6.2-1.mga6
+ Revision: 844291
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 2.4.3-2.mga5
+ Revision: 799549
- bump for main build

* Sun Nov 23 2014 joequant <joequant> 2.4.3-1.mga5
+ Revision: 798402
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-6.mga5
+ Revision: 747339
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.2.4-5.mga5
+ Revision: 693611
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-4.mga5
+ Revision: 678401
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 2.2.4-3.mga5
+ Revision: 672041
- Rebuild for new systemd

* Wed Aug 27 2014 fwang <fwang> 2.2.4-2.mga5
+ Revision: 668649
- rebuild for new upower

* Mon Jun 09 2014 joequant <joequant> 2.2.4-1.mga5
+ Revision: 635272
- upgrade to 2.2.4

* Wed May 14 2014 joequant <joequant> 2.2.3-1.mga5
+ Revision: 622793
- fix for wacom compile
- upgrade to 2.2.3

* Fri Apr 18 2014 joequant <joequant> 2.2.1-1.mga5
+ Revision: 616816
- upgrade to 2.2

* Sun Mar 30 2014 joequant <joequant> 2.0.10-3.mga5
+ Revision: 610299
- upgrade to upower 1.0
+ dams <dams>
- rebuild for new upower
+ fwang <fwang>
- 2.0.10

* Wed Jan 08 2014 joequant <joequant> 2.0.8-2.mga4
+ Revision: 565561
- push to core/release

* Wed Jan 01 2014 joequant <joequant> 2.0.8-1.mga4
+ Revision: 563793
- upgrade to 2.0.8

* Wed Oct 23 2013 joequant <joequant> 2.0.3-2.mga4
+ Revision: 546393
- upgrade to 2.0.3

* Mon Oct 21 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 539588
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 2.0.1-1.mga4
+ Revision: 492502
- update to 2.0.1

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490040
- update to 1.9.1

* Wed Sep 18 2013 joequant <joequant> 1.0.0-0.20130905gitcb4d724.5.mga4
+ Revision: 481143
- update to git

* Sat Sep 14 2013 wally <wally> 1.0.0-0.4.git0dc4921.mga4
+ Revision: 478952
- rebuild for new colord
- use %%makeinstall_std macro
- move autogen.sh usage to %%build section
- remove unneeded post/postun/posttrans scripts

* Mon Sep 02 2013 joequant <joequant> 1.0.0-0.3.git0dc4921.mga4
+ Revision: 474271
- update to latest git

* Sun Aug 25 2013 joequant <joequant> 1.0.0-0.2.gitb8b57d9.mga4
+ Revision: 471618
- fix color plugin

* Fri Aug 23 2013 joequant <joequant> 1.0.0-0.1.gitb8b57d9.mga4
+ Revision: 470053
- add libcanberra-gtk3 buildrequires
- imported package cinnamon-settings-daemon

